ES1869 в ASPlinux 10

Автор: Freaz Дата: 21.07.2006 23:27 Собственно имеется ISA звуковая карта ESS AudioDrive ES 1869. Возникла проблема в ASP 10. САМА карта не определяется, т.к. isa, а средств ручной установки (sndconfig'а)вроде как нет. Установил sndconfig из ASP 9.2. Он ругается, что не установлен модуль soundcore.o. Но Audigy в этом дистрибутиве работает нормально. Как вообще действовать в такой ситуации. Ядро пересобирать что ли. Я слышал есть какой-то универвальный драйвер, с помощью которого все такие карты должны работать. Но где его взять и что с ним делать? Если кто-нибудь сталкивался с проблемой такого рода, подскажите "как быть".
Re: ES1869 в ASPlinux 10 22.07.2006 23:10Freaz Люди...ау
ES1869 в Windows определяется как PnP (!!!).
Вроде бы в ASP 10 входит AISA-драйвер. Я попробовал настроить через него.
Там есть некий модуль snd-es18xx
И в доках к AISA сказано добавить в modules.conf настройки.
По примерам я смог кое-что соорудить:

# ISA PnP support (don't use IRQs 9,10,11,12,13)
options isapnp isapnp_reserve_irq=9,10,11,12,13

# ALSA native device support
alias char-major-116 snd
options snd major=116 cards_limit=1
alias snd-card-0 snd-es18xx
options snd-es18xx index=0 id="es1869"

# OSS/Free setup
alias char-major-14 soundcore
alias sound-slot-0 snd-card-0
alias sound-service-0-0 snd-mixer-oss
alias sound-service-0-1 snd-seq-oss
alias sound-service-0-3 snd-pcm-oss
alias sound-service-0-8 snd-seq-oss
alias sound-service-0-12 snd-pcm-oss

Перезагружаюсь, но ничего не происходит.
Либо я делаю что-то не то, либо этого недостаточно.
Товарищи, помогите советом, pls!
Re: ES1869 в ASPlinux 10 25.07.2006 14:19NIKitosh Попробуй обновить ядро. Обновления для АСП10 должно быть где-то здесь - [ftp.asplinux.ru]. Если там нет, поищи на этом фтп-сайте ещё что-нибудь связанное с АСП10. если не поможет, то:
1) установить другой линукс
2) купить новую звуковуху (6-канальная C-Media стоит около 200р.)

isapnp карты - это уже реликвия, так что по-люблму лучше купить новую.
о результатах сообщи.
Re: ES1869 в ASPlinux 10 28.07.2006 19:38Freaz Я вот что еще сделал:
Скачал исходники ядра 2.6.9 для ASP 10
По исходникам собрал и установил ядро без ALSA и OSS с модульной поддержкой звука.
Скачал свежие драйвера ALSA 1.0.11: driver, lib, utils.
Попытался сконфигурировать драйвер командой:
./configure --with-cards=es18xx --with-sequencer=yes
Когда процесс закончился, то никакого придложения выполнить команду make не последовало.
Но и ошибок вроде не было!
Но я все же выполнил make; make install;
Дальше следовало бы выполнить
chmod a+rw /dev/dsp /dev/mixer /dev/sequencer /dev/midi
Но после установки драйвера этих устройств не оказалось!!! И не понятно почему.
Потом я установил alsa-lib, alsa-utils.
Попробовал alsaconf.
Перебором irq,dma утилита ничего не нашла. Да и вообще в выводе всякие "?", да "*" были.
Дальше изменил /etc/modules.conf:
# ALSA native device support
alias char-major-116 snd
options snd major=116 cards_limit=1
alias snd-card-0 snd-es18xx
options snd-es18xx index=0 id="es1869" enable=1 isapnp=0 port=0x220 mpu_port=0x330 fm_port=0x388 irq=5 dma1=1 dma2=3

# OSS/Free setup
alias char-major-14 soundcore
alias sound-slot-0 snd-card-0
alias sound-service-0-0 snd-mixer-oss
alias sound-service-0-1 snd-seq-oss
alias sound-service-0-3 snd-pcm-oss
alias sound-service-0-8 snd-seq-oss
alias sound-service-0-12 snd-pcm-oss

В итоге автоматически при загруске запускаются модули: mixer-oss,seq-oss,pcm-oss,soundcore.
A самого нужного snd-es18xx нет!
Команды
modprobe snd-es18xx
и
modprobe snd-es18xx index=0 id="es1869" enable=1 isapnp=0 port=0x220 mpu_port=0x330 fm_port=0x388 irq=5 dma1=1 dma2=3
говорят, что такого устройства нет!
Что дальше делать не знаю...
Менять карточку принципиально не могу, комп не мой!
И непонятно, какие тут могут помочь обновления?
Re: ES1869 в ASPlinux 10 29.07.2006 16:02NIKitosh ты когда собирал ядро установил поддержку isapnp-карт? у меня тоже самое было в АСП11. на базовом ядре видимо не быдо поддержки isapnp. я обновил ядро и у меня все заработало.
проверь, включил ли ты поддержку isapnp при сборке ядра.
если ничего не получится, попробуй также скачать новое ядро (ftp://ftp.asplinux.ru/pub/i386/updates/10/i686/) и обновить. возможно, это ядро поддерживает ИСА-ПНП, и всё заработает.
Re: ES1869 в ASPlinux 10 22.08.2006 12:59veterr Помнется она может хорошо прикидываться SB Pro.
RSS-материал